#!/bin/bash
#
#  $1 - file containing full path of study directories.
#

OLD="data5"
NEW="data1"

find /home/medsrv/data/dicom.repository/$OLD/ -name "[0-9]*.[0-9]*" > Remaining$OLD.dirs 

for d in `cat Remaining$OLD.dirs `; 
do
    dname=`dirname $d`;    
    sty=`basename $d`;    
    d0=`echo $dname | sed -e "s/${OLD}/${NEW}/"`;
    #echo "dname = $dname"
    #echo "sty=$sty"
    #echo "d0=$d0"
    echo "moving $dname/$sty $d0/;" 
    mkdir -p $d0 && mv $dname/$sty $d0/; 
done
