#!/bin/bash

FIN="$1"
DB="/home/medsrv/component/mysql/bin/mysql -N imagemedical"
Q="/home/medsrv/var/cpuqueue/.scheduled/"
CMD="/home/medsrv/component/cases/reindexStudy.sh "

[ -z "$1" ] && echo "Usage: $0 inputfile" && exit 1

[ ! -e "$1" ] && echo "inputfile, $1 , does not exist" && exit 2

for s in `cat $FIN`
do
	InQ=`ls $Q | wc -l`
	while [ $InQ -gt 0 ] 
	do
		echo "$Q has $InQ tasks.`date` Sleeping ..."
		sleep 3
		InQ=`ls $Q | wc -l`
	done
	inDB=`echo "select STYIUID from Dcstudy where STYIUID='$s'" | $DB`
	if [ -z "$inDB" ] ; then
		echo "need to reindex $s"
		$CMD $s
	else
		echo "$s already in DB: $inDB"
	fi   
done
