#!/bin/bash

 lsof  | awk '{ print $2 } ' | sort -u > /tmp/procs

for p in `cat /tmp/procs | grep -v PID ` 
do
    numfiles=`lsof -p $p | wc -l`
    if [ $numfiles -gt 100 ] ; then
	echo "Process ID: $p has $numfiles file handles opened"
    fi
 done
