#!/bin/sh

. $HOME/etc/setenv.sh
[ -f $ARCHIVE_VAR/archive.cfg ] && . $ARCHIVE_VAR/archive.cfg


Study=$1
File=$2

cd `dirname $0`

if [ "$Archive" = yes ] ; then

	ARCHDIR=`echo "select ARCHDIR from Archive where STYIUID='$Study'" | $MYSQL_HOME/bin/mysql -N imagemedical`
#  echo ~/var/archive/$ARCHDIR/$Study/$File
	echo "Archive dir: $ARCHDIR" >&2
	if [ -f ~/var/archive/$ARCHDIR/$Study/$File ] ; then
		$DICOM_HOME/bin/objdiff.sh -m ~/var/archive/$ARCHDIR/$Study/$File
	else
		echo Notfound...
	fi

else

	PARENT=`echo "select HOST from $TARGETTBL where TYPE='P';" | $MYSQL_HOME/bin/mysql -N $DBNAME`

	if [ -n "$PARENT" ] ; then
		CWD=`pwd`
		RDIR="${CWD#$HOME/}"
		ssh -n $PARENT $RDIR/archivemd5.sh $Study $File
	else
		echo "NoParent..."
	fi
fi

cd -
