#!/bin/bash

TARGET="172.16.1.101"

for d in `ls /home/medsrv/data/dicom.repository/ | grep -v repository`
do
     rsync -va -e ssh --delete /home/medsrv/data/dicom.repository/$d $TARGET:/home/medsrv/data/dicom.repository/data1/
 done


#for d in `ls /home/medsrv/var/ | grep -v repository | grep -v queue | grep -v mysql-bin`
#do
#    rsync -va -e ssh --delete /home/medsrv/var/$d $TARGET:/home/medsrv/var/
#done

for d in `ls /home/medsrv/var/ | grep -v repository | grep -v refcount`                                                                                   
do
    rsync -va -e ssh --delete --exclude="*mysql-bin*" --exclude="*refcount*" --exclude="*messageflag*" /home/medsrv/var/$d $TARGET:/home/medsrv/var/
done

for d in `ls /home/medsrv/var/refcount/`
do
    rsync -va -e ssh --delete /home/medsrv/var/refcount/$d $TARGET:/home/medsrv/var/refcount/
done


for d in `ls /home/medsrv/data/ | grep -v dicom `
do
    rsync -va -e ssh --delete /home/medsrv/data/$d $TARGET:/home/medsrv/data/
done

rsync -va -e ssh --delete /home/medsrv/work $TARGET:/home/medsrv/
rsync -va -e ssh --delete /home/medsrv/patch $TARGET:/home/medsrv/
rsync -va -e ssh --delete /home/medsrv/etc $TARGET:/home/medsrv/
rsync -va -e ssh --delete /home/medsrv/component $TARGET:/home/medsrv/
rsync -va -e ssh --delete /home/configbackup $TARGET:/home/


