#! /bin/bash
#ex: set expandtab shiftwidth=4 softtabstop=4:

echo "$$" > /tmp/$0.pid

archivemountpoint=$1

. scripttools.new.shi

# Don't define checkonwl if you want to migrate sturdies that are already on the worklist
#checkonwl=true

# Set runtime hours etc. in runtime_hours.cfg (part of scripttools)

# If in place migration, define the repository name like data*
# (if your repository directiries in the archvie partitions are named data1, data2, etc)
#inplacereponame="data*"

[ -z "${archivemountpoint}" ] && exit

echo "./findUsedSpace.sh ${archivemountpoint} ${inplacereponame} > ${archivemountpoint}.space.$$" \
 | tee ${0}.${archivemountpoint}.out.$$

./findUsedSpace.sh "${archivemountpoint}" "${inplacereponame}" > ${archivemountpoint}.space.$$

#~/component/tools/sql.sh "select styiuid, archdir from Archive where ARCHST = '10' and archdir like '${archivemountpoint}%';" -N |\
~/component/tools/sql.sh "select styiuid, archdir from Archive where archdir like '${archivemountpoint}/%';" -N |\
while read styiuid archdir; do
    if [ -z "$styiuid" -o -z "$archdir" ]; then
        echo "Uh oh.  One of styiuid or archdir is empty in 'while read styiuid archdir'"
        echo "styiuid: $styiuid"
        echo "archdir: $archdir"
        continue
    fi
    if [ -n "${checkonwl}" ]; then
        onwl=$(sql.sh "select styiuid from Dcstudy where styiuid = '$styiuid';" -N);
        if [ -n "${onwl}" ]; then
            echo "$styiuid on worklist, attempt to clean it"
            ./checkAndRemoveArchivedStudy.sh /home/medsrv/var/archive/${archdir}/${styiuid}/
            continue
	fi
    fi
    niceme >&2 && break # idles until the system is not busy.
    # Niceme will return 0 on ctrl-c etc.
    ./migrateArchivedStudyToRepository2.sh $styiuid
    exitstatus=$?
    if [ $exitstatus -eq 2 ]; then
        echo "Error on copy : $styiuid"
        continue
    elif [ $exitstatus -ne 0 ]; then
        break
    fi
done | tee -a ${0}.${archivemountpoint}.out.$$
echo "./findUsedSpace.sh ${archivemountpoint} ${inplacereponame} > ${archivemountpoint}.space2.$$" \
 | tee -a ${0}.${archivemountpoint}.out.$$
./findUsedSpace.sh  "${archivemountpoint}" "${inplacereponame}" > ${archivemountpoint}.space2.$$
