#!/bin/bash

iam=`whoami`

if [ "$iam" != "medsrv" ] ; then
	echo -e "\n\nERROR:  this script should be run as medsrv.\n\n"
	exit 1
fi

if [ ! -d /home/medsrv/work ] ; then
  mkdir /home/medsrv/work
fi

for file in applyupdates.sh impatch checkrefs.sh checkqueues.sh resched.sh; do
   rsync -va /home/image/tools/$file /home/medsrv/
done


for file in mkRoomOnArchPartition.sh; do
   rsync -va /home/image/tools/$file /home/medsrv/work
done

chown medsrv.medsrv /home/medsrv/work
rsync -va /home/image/tools/servercleanup /home/medsrv/work/

rsync -va /home/image/tools/logfix.sh /home/medsrv/var/logs.dated/forever/
