#! /bin/bash

styiuid=$1

[ -z "${styiuid}" ] && echo "usage:    $0 <styiuid>" && exit

. ~/data/dicom.repository/repository.cfg

mountPoints="$(echo $mountPoints | sed 's/\\/ /g')"
hashdir=$(~/component/utils/bin/getHashDirectory -i $styiuid)
count=0

for mount in $mountPoints; do
    loctocheck="/home/medsrv/data/dicom.repository/${mount}/${hashdir}"
    if [ -d "$loctocheck" ]; then
        echo "$mount : $loctocheck"
        (( count += 1 ))
    fi
done
[ $count -gt 1 ] && exit 1 || exit 0
