#! /bin/bash

qdir=$1
oldp=$2
newp=$3
ttype=$4
newd=$5

usage_() {
	cat <<EOUSAGE
	----------------

        STOP TASKD BEFORE USING THIS SCRIPT!!!!

	$0 <queue directory> <old priority> <new priority> <type> [<new queue directory>]

	$0 /home/medsrv/var/netqueue/.scheduled/ 0227 0050 commitChild.sh

	will find all tasks of priority 0227 that are commitChild tasks
	and reprioritize them to 0050.

	$0 /home/medsrv/var/netqueue/.scheduled/ 0227 0050 commitChild.sh /home/medsrv/var/netqueue/

	will find all tasks of priority 0227 that are commitChild tasks,
	reprioritize them to 0050, and move them to the unscheduled queue.

	----------------
	----------------

EOUSAGE
	exit 0
} # usage_()

[ -z "$qdir" ] && usage_

[ ! -d "$qdir" ] && exit

for file in $(find $qdir -type f -mindepth 1 -maxdepth 1 -name "${oldp}*"| xargs grep -l ${ttype}); do
#	p=$(echo $(basename $file) | awk -F "." '{ print $1 }')
#	if [ "$p" == "$oldp" ]; then
		oldname=$(basename $file)
		oldname_end=$(echo $oldname|awk -F "." 'BEGIN {ORS=""} { for (i=2; i<= NF; i++) 
																	 print "." $i;
																}')
		if [ -z "$newd" ]; then
                    d=$(dirname $file)
                else
                    d=$newd
                fi
		nfile="${d}/${newp}${oldname_end}"
		echo $file
		echo $nfile
		cat $file
		echo
		mv $file $nfile
#	fi
done
