#! /bin/bash

styiuid=$1

. ~/etc/setenv.sh

MYSQL=$MYSQL_HOME/bin/mysql
DB=imagemedical


function getParent() {
    # Prints this server's parent

    res=$(echo "select ID from Target where type = 'P';" | \
        $MYSQL -N $DB)
    echo $res
} # End of getParent()

function isOnParent() {
    # Returns 0 (success) if the parent has a ~/data/dicom dir for this study
    local styiuid=$1
    local parent=$2

    parentip=$(echo "select HOST from Target where ID = '$parent';" | \
        $MYSQL -N $DB)

    res=$(ssh -n $parentip ls -d /home/medsrv/data/dicom/$styiuid 2>/dev/null)
    [ -n "$res" ] && return 0 || return 1

} # End of isOnParent()

myparent=$(getParent)

echo -n "$styiuid : "
if isOnParent $styiuid $myparent; then
    echo "OK"
else
    echo "ERR"
fi

