#!/bin/sh
#
# $1 study UID
#

. $HOME/etc/setenv.sh

BDIR=`dirname $0`
BNAME=`basename $0`
if cd $BDIR ; then
        BDIR=`pwd`
        cd -
fi

# echo "Finding CPU tasks ..."                                                                                                                        

cpuTasks=`grep -r -l "$1" $TASKD_CPU_QUEUE`

if [ -n "$cpuTasks" ] ; then
	echo "FOUND CPU"
	exit 1
fi

# echo "Finding NET tasks ..."                                                                                                                        

netTasks=`grep -r -l "$1" $TASKD_NET_QUEUE`

if [ -n "$netTasks" ] ; then
	echo "FOUND NET"
	exit 1
fi

# echo "Has Parent ?..."

Parent=`echo "select HOST from $TARGETTBL where TYPE='P';" | \
$MYSQL_HOME/bin/mysql -N $DBNAME`

if [ $? -ne 0 ] ; then
	echo "ERROR MYSQL"
	exit 1
fi

if [ -n "$Parent" ] ; then
#	echo "Checking Parent ..."
	ResParent=`ssh -n $Parent $BDIR/$BNAME "$1"`
	if [ "$ResParent" != "NOT FOUND" ] ; then
		echo "$ResParent"
		exit 1
	fi
fi


echo "NOT FOUND"
exit 0

